> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadcab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Required transaction fields



## OpenAPI

````yaml GET /remittance/fieldParams
openapi: 3.1.0
info:
  title: Nadcab Labs Card Issuing API
  version: 1.0.0
  description: >-
    Issue and manage crypto-funded virtual and physical cards, cardholders,
    wallet deposits and remittances.
servers:
  - url: https://cc.nadcab.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Card BINs
    description: List card BINs you can issue on.
  - name: Account
    description: Wallet balance, deposits and withdrawals.
  - name: API settings
    description: Webhook URL, IP allowlist and card data encryption key.
  - name: Cards
    description: Create, fund, freeze and close cards.
  - name: Cardholders
    description: Create and manage cardholders for B2C card programs.
  - name: Remittance
    description: Send fiat bank transfers funded from your wallet.
paths:
  /remittance/fieldParams:
    get:
      tags:
        - Remittance
      summary: Required transaction fields
      operationId: requiredTransactionFields
      parameters:
        - name: payout_currency
          in: query
          required: true
          description: Transfer currency
          schema:
            type: string
            example: CNY
        - name: transfer_type_id
          in: query
          required: true
          description: Transfer type. Pass transfer_type_id.
          schema:
            type: integer
            example: '3'
        - name: payout_method_id
          in: query
          required: true
          description: Payout method. Pass payoutMethod.valueId.
          schema:
            type: integer
            example: '1'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      common:
                        type: array
                        items:
                          type: object
                          properties:
                            sorting:
                              type: integer
                              description: Sort order
                            required:
                              type: boolean
                              description: Required
                            fieldName:
                              type: string
                              description: Field name
                            fieldType:
                              type: string
                              description: >-
                                select: dropdown / input: text field / date:
                                date
                            fieldLabel:
                              type: string
                            fieldTitle:
                              type: string
                              description: Title
                            selectValues:
                              type: array
                              items:
                                type: object
                                properties:
                                  value:
                                    type: string
                                  valueId:
                                    type: string
                                required:
                                  - value
                                  - valueId
                              description: Dropdown options
                            fieldUserType:
                              type: string
                              description: 'Type: sender, receiver or common'
                            fieldDescription:
                              type: string
                              description: Description
                            scope:
                              type: string
                              description: Same as scope
                          required:
                            - sorting
                            - required
                            - fieldName
                            - fieldType
                            - fieldLabel
                            - fieldTitle
                            - selectValues
                            - fieldUserType
                            - fieldDescription
                            - scope
                      sender:
                        type: array
                        items:
                          type: object
                          properties:
                            max:
                              type: integer
                              description: Maximum
                            min:
                              type: integer
                              description: Minimum
                            regex:
                              type: string
                              description: Validation regex for the frontend
                            sorting:
                              type: integer
                              description: Sort order
                            required:
                              type: boolean
                              description: Required
                            fieldName:
                              type: string
                              description: Field name
                            fieldType:
                              type: string
                            fieldLabel:
                              type: string
                            fieldTitle:
                              type: string
                            fieldUserType:
                              type: string
                            fieldDescription:
                              type: string
                            scope:
                              type: string
                            selectValues:
                              type: array
                              items:
                                type: object
                                properties:
                                  value:
                                    type: string
                                  valueId:
                                    type: string
                                required:
                                  - value
                                  - valueId
                          required:
                            - sorting
                            - required
                            - fieldName
                            - fieldType
                            - fieldLabel
                            - fieldTitle
                            - fieldUserType
                            - fieldDescription
                            - scope
                            - selectValues
                            - regex
                            - max
                            - min
                      receiver:
                        type: array
                        items:
                          type: object
                          properties:
                            max:
                              type: integer
                            min:
                              type: integer
                            regex:
                              type: string
                            sorting:
                              type: integer
                            required:
                              type: boolean
                            fieldName:
                              type: string
                            fieldType:
                              type: string
                            fieldLabel:
                              type: string
                            fieldTitle:
                              type: string
                            fieldUserType:
                              type: string
                            fieldDescription:
                              type: string
                            scope:
                              type: string
                            selectValues:
                              type: array
                              items:
                                type: object
                                properties:
                                  value:
                                    type: string
                                  valueId:
                                    type: string
                          required:
                            - max
                            - min
                            - regex
                            - sorting
                            - required
                            - fieldName
                            - fieldType
                            - fieldLabel
                            - fieldTitle
                            - fieldUserType
                            - fieldDescription
                            - scope
                    required:
                      - common
                      - sender
                      - receiver
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data:
                  common:
                    - sorting: 73
                      required: true
                      fieldName: senderBeneficiaryRelationship
                      fieldType: select
                      fieldTitle: Relationship to receiver
                      fieldMapping: senderBeneficiaryRelationship
                      selectValues:
                        - value: Family
                          valueId: '1'
                        - value: Friend
                          valueId: '2'
                        - value: Self
                          valueId: '3'
                        - value: Employee
                          valueId: '4'
                        - value: Merchant
                          valueId: '5'
                        - value: Other
                          valueId: '6'
                      fieldUserType: common
                      fieldDescription: Relationship between the sender and the receiver
                    - sorting: 72
                      required: true
                      fieldName: senderSourceOfFund
                      fieldType: select
                      fieldTitle: Source of funds
                      fieldMapping: senderSourceOfFund
                      selectValues:
                        - value: Savings
                          valueId: '3'
                      fieldUserType: common
                      fieldDescription: Source of the funds for this transfer
                    - sorting: 70
                      required: true
                      fieldName: purposeOfRemittance
                      fieldType: select
                      fieldTitle: Purpose of remittance
                      fieldMapping: purposeOfRemittance
                      selectValues:
                        - value: Family support
                          valueId: '1'
                        - value: Savings
                          valueId: '2'
                        - value: Salary remittance
                          valueId: '3'
                        - value: Property purchase
                          valueId: '4'
                        - value: Purchase of goods or services
                          valueId: '5'
                        - value: Medical expenses
                          valueId: '6'
                        - value: Tuition
                          valueId: '7'
                        - value: Rent
                          valueId: '8'
                        - value: Other bills
                          valueId: '9'
                        - value: Taxes
                          valueId: '11'
                        - value: Insurance
                          valueId: '12'
                        - value: Loan repayment
                          valueId: '13'
                      fieldUserType: common
                      fieldDescription: Reason for the transfer
                  sender:
                    - max: 60
                      min: 1
                      regex: ^[A-Za-z0-9 .,-]+$
                      sorting: 16
                      required: true
                      fieldName: senderAddress
                      fieldType: input
                      fieldTitle: Residential address
                      fieldMapping: senderAddress
                      fieldUserType: sender
                      fieldDescription: Full residential address including house number
                    - sorting: 12
                      required: true
                      fieldName: senderCountry
                      fieldType: select
                      fieldTitle: Country of residence
                      fieldMapping: senderCountry
                      selectValues:
                        - value: Australia
                          valueId: AUS
                        - value: Portugal
                          valueId: PRT
                        - value: Austria
                          valueId: AUT
                        - value: Belgium
                          valueId: BEL
                        - value: Bangladesh
                          valueId: BGD
                        - value: Cambodia
                          valueId: KHM
                        - value: Hong Kong
                          valueId: HKG
                        - value: India
                          valueId: IND
                        - value: Indonesia
                          valueId: IDN
                        - value: Japan
                          valueId: JPN
                        - value: Malaysia
                          valueId: MYS
                        - value: Myanmar
                          valueId: MMR
                        - value: Nepal
                          valueId: NPL
                        - value: Pakistan
                          valueId: PAK
                        - value: Philippines
                          valueId: PHL
                        - value: Singapore
                          valueId: SGP
                        - value: South Korea
                          valueId: KOR
                        - value: Sri Lanka
                          valueId: LKA
                        - value: Taiwan
                          valueId: TWN
                        - value: Thailand
                          valueId: THA
                        - value: Vietnam
                          valueId: VNM
                        - value: United Kingdom
                          valueId: GBR
                        - value: United States
                          valueId: USA
                        - value: Euro
                          valueId: EUR
                        - value: United Arab Emirates
                          valueId: ARE
                        - value: Cyprus
                          valueId: CYP
                        - value: Albania
                          valueId: ALB
                        - value: Algeria
                          valueId: DZA
                        - value: Angola
                          valueId: AGO
                        - value: Argentina
                          valueId: ARG
                        - value: Armenia
                          valueId: ARM
                        - value: Aruba
                          valueId: ABW
                        - value: Azerbaijan
                          valueId: AZE
                        - value: Bahrain
                          valueId: BHR
                        - value: Belarus
                          valueId: BLR
                        - value: Belize
                          valueId: BLZ
                        - value: Bhutan
                          valueId: BTN
                        - value: Bosnia and Herzegovina
                          valueId: BIH
                        - value: Botswana
                          valueId: BWA
                        - value: Brazil
                          valueId: BRA
                        - value: Brunei
                          valueId: BRN
                        - value: Bulgaria
                          valueId: BGR
                        - value: Canada
                          valueId: CAN
                        - value: Chile
                          valueId: CHL
                        - value: Costa Rica
                          valueId: CRI
                        - value: Croatia
                          valueId: HRV
                        - value: Cuba
                          valueId: CUB
                        - value: Denmark
                          valueId: DNK
                        - value: Djibouti
                          valueId: DJI
                        - value: Egypt
                          valueId: EGY
                        - value: El Salvador
                          valueId: SLV
                        - value: Eritrea
                          valueId: ERI
                        - value: Estonia
                          valueId: EST
                        - value: Spain
                          valueId: ESP
                        - value: Fiji
                          valueId: FJI
                        - value: Georgia
                          valueId: GEO
                        - value: Ghana
                          valueId: GHA
                        - value: Gibraltar
                          valueId: GIB
                        - value: Guatemala
                          valueId: GTM
                        - value: Guinea
                          valueId: GIN
                        - value: Guyana
                          valueId: GUY
                        - value: Haiti
                          valueId: HTI
                        - value: Honduras
                          valueId: HND
                        - value: Hungary
                          valueId: HUN
                        - value: Iceland
                          valueId: ISL
                        - value: Iraq
                          valueId: IRQ
                        - value: Israel
                          valueId: ISR
                        - value: Jordan
                          valueId: JOR
                        - value: Kazakhstan
                          valueId: KAZ
                        - value: Kenya
                          valueId: KEN
                        - value: Kuwait
                          valueId: KWT
                        - value: Kyrgyzstan
                          valueId: KGZ
                        - value: Latvia
                          valueId: LVA
                        - value: Lebanon
                          valueId: LBN
                        - value: Lesotho
                          valueId: LSO
                        - value: Lithuania
                          valueId: LTU
                        - value: Madagascar
                          valueId: MDG
                        - value: Malawi
                          valueId: MWI
                        - value: Mauritania
                          valueId: MRT
                        - value: Mauritius
                          valueId: MUS
                        - value: Mexico
                          valueId: MEX
                        - value: Mongolia
                          valueId: MNG
                        - value: Morocco
                          valueId: MAR
                        - value: Mozambique
                          valueId: MOZ
                        - value: Namibia
                          valueId: NAM
                        - value: New Zealand
                          valueId: NZL
                        - value: Nicaragua
                          valueId: NIC
                        - value: Nigeria
                          valueId: NGA
                        - value: Norway
                          valueId: NOR
                        - value: Oman
                          valueId: OMN
                        - value: Panama
                          valueId: PAN
                        - value: Papua New Guinea
                          valueId: PNG
                        - value: Paraguay
                          valueId: PRY
                        - value: Peru
                          valueId: PER
                        - value: Poland
                          valueId: POL
                        - value: Qatar
                          valueId: QAT
                        - value: Romania
                          valueId: ROU
                        - value: Rwanda
                          valueId: RWA
                        - value: Samoa
                          valueId: WSM
                        - value: Saudi Arabia
                          valueId: SAU
                        - value: Seychelles
                          valueId: SYC
                        - value: Sierra Leone
                          valueId: SLE
                        - value: Slovakia
                          valueId: SVK
                        - value: Solomon Islands
                          valueId: SLB
                        - value: South Africa
                          valueId: ZAF
                        - value: Suriname
                          valueId: SUR
                        - value: Sweden
                          valueId: SWE
                        - value: Switzerland
                          valueId: CHE
                        - value: Tajikistan
                          valueId: TJK
                        - value: Tonga
                          valueId: TON
                        - value: Tunisia
                          valueId: TUN
                        - value: Turkey
                          valueId: TUR
                        - value: Turkmenistan
                          valueId: TKM
                        - value: Tuvalu
                          valueId: TUV
                        - value: Uganda
                          valueId: UGA
                        - value: Ukraine
                          valueId: UKR
                        - value: Uruguay
                          valueId: URY
                        - value: Uzbekistan
                          valueId: UZB
                        - value: Vanuatu
                          valueId: VUT
                        - value: Yemen
                          valueId: YEM
                        - value: Zambia
                          valueId: ZMB
                        - value: Russia
                          valueId: RUS
                        - value: France
                          valueId: FRA
                        - value: The Syrian Arab Republic
                          valueId: SYR
                        - value: Niger
                          valueId: NER
                        - value: Montenegro
                          valueId: MNE
                        - value: Republic of Moldova
                          valueId: MDA
                        - value: Mali
                          valueId: MLI
                        - value: Iran
                          valueId: IRN
                        - value: Ethiopia
                          valueId: ETH
                        - value: Democratic Republic of the Congo
                          valueId: COD
                        - value: Slovenia
                          valueId: SVN
                        - value: North Macedonia
                          valueId: MKD
                        - value: Aland Islands
                          valueId: ALA
                        - value: Andorra
                          valueId: AND
                        - value: Antarctica
                          valueId: ATA
                        - value: Benin
                          valueId: BEN
                        - value: Bolivia (Plurinational State of)
                          valueId: BOL
                        - value: Bonaire, Sint Eustatius and Saba
                          valueId: BES
                        - value: Bouvet Island
                          valueId: BVT
                        - value: British Indian Ocean Territory
                          valueId: IOT
                        - value: Burkina Faso
                          valueId: BFA
                        - value: Cabo Verde
                          valueId: CPV
                        - value: Cameroon
                          valueId: CMR
                        - value: Chad
                          valueId: TCD
                        - value: Christmas Island
                          valueId: CXR
                        - value: Cocos (Keeling) Islands
                          valueId: CCK
                        - value: Colombia
                          valueId: COL
                        - value: Comoros
                          valueId: COM
                        - value: Congo
                          valueId: COG
                        - value: Cook Islands
                          valueId: COK
                        - value: Ivory Coast
                          valueId: CIV
                        - value: Curaçao
                          valueId: CUW
                        - value: Czechia
                          valueId: CZE
                        - value: Ecuador
                          valueId: ECU
                        - value: Equatorial Guinea
                          valueId: GNQ
                        - value: Eswatini
                          valueId: SWZ
                        - value: Falkland Islands
                          valueId: FLK
                        - value: Faroe Islands
                          valueId: FRO
                        - value: French Guiana
                          valueId: GUF
                        - value: French Polynesia
                          valueId: PYF
                        - value: French Southern Territories
                          valueId: ATF
                        - value: Gabon
                          valueId: GAB
                        - value: Gambia
                          valueId: GMB
                        - value: Greenland
                          valueId: GRL
                        - value: Guadeloupe
                          valueId: GLP
                        - value: Guinea-Bissau
                          valueId: GNB
                        - value: Heard Island and McDonald Islands
                          valueId: HMD
                        - value: Kiribati
                          valueId: KIR
                        - value: Laos
                          valueId: LAO
                        - value: Liechtenstein
                          valueId: LIE
                        - value: Macau
                          valueId: MAC
                        - value: Maldives
                          valueId: MDV
                        - value: Marshall Islands
                          valueId: MHL
                        - value: Martinique
                          valueId: MTQ
                        - value: Mayotte
                          valueId: MYT
                        - value: Micronesia (Federated States of)
                          valueId: FSM
                        - value: Nauru
                          valueId: NRU
                        - value: New Caledonia
                          valueId: NCL
                        - value: Niue
                          valueId: NIU
                        - value: Norfolk Island
                          valueId: NFK
                        - value: Palau
                          valueId: PLW
                        - value: Pitcairn
                          valueId: PCN
                        - value: Réunion
                          valueId: REU
                        - value: Saint Barthélemy
                          valueId: BLM
                        - value: Saint Martin (French Part)
                          valueId: MAF
                        - value: Saint Pierre and Miquelon
                          valueId: SPM
                        - value: San Marino
                          valueId: SMR
                        - value: Sao Tome and Principe
                          valueId: STP
                        - value: Senegal
                          valueId: SEN
                        - value: South Georgia and the South Sandwich Islands
                          valueId: SGS
                        - value: Palestine
                          valueId: PSE
                        - value: Svalbard and Jan Mayen Islands
                          valueId: SJM
                        - value: Timor Leste
                          valueId: TLS
                        - value: Togo
                          valueId: TGO
                        - value: Tokelau
                          valueId: TKL
                        - value: Tanzania
                          valueId: TZA
                        - value: Wallis and Futuna Islands
                          valueId: WLF
                        - value: Western Sahara
                          valueId: ESH
                        - value: Netherlands
                          valueId: NLD
                        - value: Germany
                          valueId: DEU
                        - value: Italy
                          valueId: ITA
                      fieldUserType: sender
                      fieldDescription: Sender country
                    - sorting: 11
                      required: true
                      fieldName: senderIdIssueCountry
                      fieldType: select
                      fieldTitle: ID issuing country
                      fieldMapping: senderIdIssueCountry
                      selectValues:
                        - value: Australia
                          valueId: AUS
                        - value: Bangladesh
                          valueId: BGD
                        - value: Cambodia
                          valueId: KHM
                        - value: China
                          valueId: CHN
                        - value: Hong Kong
                          valueId: HKG
                        - value: India
                          valueId: IND
                        - value: Indonesia
                          valueId: IDN
                        - value: Japan
                          valueId: JPN
                        - value: Malaysia
                          valueId: MYS
                        - value: Myanmar
                          valueId: MMR
                        - value: Pakistan
                          valueId: PAK
                        - value: Philippines
                          valueId: PHL
                        - value: Singapore
                          valueId: SGP
                        - value: South Korea
                          valueId: KOR
                        - value: Taiwan
                          valueId: TWN
                        - value: Thailand
                          valueId: THA
                        - value: Vietnam
                          valueId: VNM
                        - value: United Kingdom
                          valueId: GBR
                        - value: United States
                          valueId: USA
                        - value: Euro
                          valueId: EUR
                        - value: United Arab Emirates
                          valueId: ARE
                        - value: Argentina
                          valueId: ARG
                        - value: Azerbaijan
                          valueId: AZE
                        - value: Belarus
                          valueId: BLR
                        - value: Brazil
                          valueId: BRA
                        - value: Brunei
                          valueId: BRN
                        - value: Canada
                          valueId: CAN
                        - value: Chile
                          valueId: CHL
                        - value: Cuba
                          valueId: CUB
                        - value: Denmark
                          valueId: DNK
                        - value: Egypt
                          valueId: EGY
                        - value: Israel
                          valueId: ISR
                        - value: Mexico
                          valueId: MEX
                        - value: Mongolia
                          valueId: MNG
                        - value: Morocco
                          valueId: MAR
                        - value: Poland
                          valueId: POL
                        - value: Saudi Arabia
                          valueId: SAU
                        - value: South Africa
                          valueId: ZAF
                        - value: Sweden
                          valueId: SWE
                        - value: Switzerland
                          valueId: CHE
                        - value: Turkey
                          valueId: TUR
                        - value: Ukraine
                          valueId: UKR
                        - value: Russia
                          valueId: RUS
                        - value: France
                          valueId: FRA
                        - value: Iran
                          valueId: IRN
                        - value: Democratic Republic of the Congo
                          valueId: COD
                        - value: Andorra
                          valueId: AND
                        - value: Laos
                          valueId: LAO
                        - value: Macau
                          valueId: MAC
                        - value: Maldives
                          valueId: MDV
                        - value: Palestine
                          valueId: PSE
                        - value: Netherlands
                          valueId: NLD
                        - value: Germany
                          valueId: DEU
                        - value: Italy
                          valueId: ITA
                        - value: Spain
                          valueId: ESP
                        - value: Austria
                          valueId: AUT
                        - value: Belgium
                          valueId: BEL
                        - value: Greece
                          valueId: GRC
                        - value: Ghana
                          valueId: GHA
                        - value: Malawi
                          valueId: MWI
                        - value: Mozambique
                          valueId: MOZ
                        - value: Nigeria
                          valueId: NGA
                        - value: Tanzania
                          valueId: TZA
                        - value: Uganda
                          valueId: UGA
                        - value: Kosovo
                          valueId: XKX
                        - value: Hungary
                          valueId: HUN
                        - value: Slovenia
                          valueId: SVN
                        - value: Armenia
                          valueId: ARM
                        - value: Aland Islands
                          valueId: ALA
                        - value: Albania
                          valueId: ALB
                        - value: Algeria
                          valueId: DZA
                        - value: Angola
                          valueId: AGO
                        - value: Antarctica
                          valueId: ATA
                        - value: Aruba
                          valueId: ABW
                        - value: Bahrain
                          valueId: BHR
                        - value: Belize
                          valueId: BLZ
                        - value: Benin
                          valueId: BEN
                        - value: Bhutan
                          valueId: BTN
                        - value: Bolivia (Plurinational State of)
                          valueId: BOL
                        - value: Bonaire, Sint Eustatius and Saba
                          valueId: BES
                        - value: Bosnia and Herzegovina
                          valueId: BIH
                        - value: Botswana
                          valueId: BWA
                        - value: Bouvet Island
                          valueId: BVT
                        - value: British Indian Ocean Territory
                          valueId: IOT
                        - value: Bulgaria
                          valueId: BGR
                        - value: Burkina Faso
                          valueId: BFA
                        - value: Cabo Verde
                          valueId: CPV
                        - value: Cameroon
                          valueId: CMR
                        - value: Chad
                          valueId: TCD
                        - value: Christmas Island
                          valueId: CXR
                        - value: Cocos (Keeling) Islands
                          valueId: CCK
                        - value: Colombia
                          valueId: COL
                        - value: Comoros
                          valueId: COM
                        - value: Congo
                          valueId: COG
                        - value: Cook Islands
                          valueId: COK
                        - value: Costa Rica
                          valueId: CRI
                        - value: Croatia
                          valueId: HRV
                        - value: Curaçao
                          valueId: CUW
                        - value: Cyprus
                          valueId: CYP
                        - value: Czechia
                          valueId: CZE
                        - value: Djibouti
                          valueId: DJI
                        - value: Ecuador
                          valueId: ECU
                        - value: El Salvador
                          valueId: SLV
                        - value: Equatorial Guinea
                          valueId: GNQ
                        - value: Eritrea
                          valueId: ERI
                        - value: Estonia
                          valueId: EST
                        - value: Eswatini
                          valueId: SWZ
                        - value: Ethiopia
                          valueId: ETH
                        - value: Falkland Islands
                          valueId: FLK
                        - value: Faroe Islands
                          valueId: FRO
                        - value: Fiji
                          valueId: FJI
                        - value: Finland
                          valueId: FIN
                        - value: French Guiana
                          valueId: GUF
                        - value: French Polynesia
                          valueId: PYF
                        - value: French Southern Territories
                          valueId: ATF
                        - value: Gabon
                          valueId: GAB
                        - value: Gambia
                          valueId: GMB
                        - value: Georgia
                          valueId: GEO
                        - value: Gibraltar
                          valueId: GIB
                        - value: Greenland
                          valueId: GRL
                        - value: Guadeloupe
                          valueId: GLP
                        - value: Guatemala
                          valueId: GTM
                        - value: Guernsey
                          valueId: GGY
                        - value: Guinea
                          valueId: GIN
                        - value: Guinea-Bissau
                          valueId: GNB
                        - value: Guyana
                          valueId: GUY
                        - value: Haiti
                          valueId: HTI
                        - value: Heard Island and McDonald Islands
                          valueId: HMD
                        - value: Honduras
                          valueId: HND
                        - value: Iceland
                          valueId: ISL
                        - value: Iraq
                          valueId: IRQ
                        - value: Ireland
                          valueId: IRL
                        - value: Isle of Man
                          valueId: IMN
                        - value: Ivory Coast
                          valueId: CIV
                        - value: Jersey
                          valueId: JEY
                        - value: Jordan
                          valueId: JOR
                        - value: Kazakhstan
                          valueId: KAZ
                        - value: Kiribati
                          valueId: KIR
                        - value: Kuwait
                          valueId: KWT
                        - value: Kyrgyzstan
                          valueId: KGZ
                        - value: Latvia
                          valueId: LVA
                        - value: Lebanon
                          valueId: LBN
                        - value: Lesotho
                          valueId: LSO
                        - value: Liechtenstein
                          valueId: LIE
                        - value: Lithuania
                          valueId: LTU
                        - value: Luxembourg
                          valueId: LUX
                        - value: Madagascar
                          valueId: MDG
                        - value: Mali
                          valueId: MLI
                        - value: Malta
                          valueId: MLT
                        - value: Marshall Islands
                          valueId: MHL
                        - value: Martinique
                          valueId: MTQ
                        - value: Mauritania
                          valueId: MRT
                        - value: Mauritius
                          valueId: MUS
                        - value: Mayotte
                          valueId: MYT
                        - value: Micronesia (Federated States of)
                          valueId: FSM
                        - value: Monaco
                          valueId: MCO
                        - value: Montenegro
                          valueId: MNE
                        - value: Namibia
                          valueId: NAM
                        - value: Nauru
                          valueId: NRU
                        - value: Nepal
                          valueId: NPL
                        - value: New Caledonia
                          valueId: NCL
                        - value: New Zealand
                          valueId: NZL
                        - value: Nicaragua
                          valueId: NIC
                        - value: Niger
                          valueId: NER
                        - value: Niue
                          valueId: NIU
                        - value: Norfolk Island
                          valueId: NFK
                        - value: North Macedonia
                          valueId: MKD
                        - value: Norway
                          valueId: NOR
                        - value: Oman
                          valueId: OMN
                        - value: Palau
                          valueId: PLW
                        - value: Panama
                          valueId: PAN
                        - value: Papua New Guinea
                          valueId: PNG
                        - value: Paraguay
                          valueId: PRY
                        - value: Peru
                          valueId: PER
                        - value: Pitcairn
                          valueId: PCN
                        - value: Portugal
                          valueId: PRT
                        - value: Qatar
                          valueId: QAT
                        - value: Republic of Moldova
                          valueId: MDA
                        - value: Réunion
                          valueId: REU
                        - value: Romania
                          valueId: ROU
                        - value: Rwanda
                          valueId: RWA
                        - value: Saint Barthélemy
                          valueId: BLM
                        - value: Saint Martin (French Part)
                          valueId: MAF
                        - value: Saint Pierre and Miquelon
                          valueId: SPM
                        - value: Samoa
                          valueId: WSM
                        - value: San Marino
                          valueId: SMR
                        - value: Sao Tome and Principe
                          valueId: STP
                        - value: Senegal
                          valueId: SEN
                        - value: Seychelles
                          valueId: SYC
                        - value: Sierra Leone
                          valueId: SLE
                        - value: Slovakia
                          valueId: SVK
                        - value: Solomon Islands
                          valueId: SLB
                        - value: South Georgia and the South Sandwich Islands
                          valueId: SGS
                        - value: Sri Lanka
                          valueId: LKA
                        - value: Suriname
                          valueId: SUR
                        - value: Svalbard and Jan Mayen Islands
                          valueId: SJM
                        - value: The Syrian Arab Republic
                          valueId: SYR
                        - value: Tajikistan
                          valueId: TJK
                        - value: Timor Leste
                          valueId: TLS
                        - value: Togo
                          valueId: TGO
                        - value: Tokelau
                          valueId: TKL
                        - value: Tonga
                          valueId: TON
                        - value: Tunisia
                          valueId: TUN
                        - value: Turkmenistan
                          valueId: TKM
                        - value: Tuvalu
                          valueId: TUV
                        - value: Uruguay
                          valueId: URY
                        - value: Uzbekistan
                          valueId: UZB
                        - value: Vanuatu
                          valueId: VUT
                        - value: Wallis and Futuna Islands
                          valueId: WLF
                        - value: Western Sahara
                          valueId: ESH
                        - value: Yemen
                          valueId: YEM
                        - value: Zambia
                          valueId: ZMB
                        - value: Kenya
                          valueId: KEN
                        - value: Bahamas
                          valueId: BHS
                        - value: Bermuda
                          valueId: BMU
                        - value: Dominican Republic
                          valueId: DOM
                        - value: Afghanistan
                          valueId: AFG
                        - value: Libya
                          valueId: LBY
                        - value: Antigua and Barbuda
                          valueId: ATG
                        - value: Saint Lucia
                          valueId: LCA
                        - value: Grenada
                          valueId: GRD
                        - value: Dominica
                          valueId: DMA
                        - value: Saint Kitts and Nevis
                          valueId: KNA
                        - value: Republic of Trinidad and Tobago
                          valueId: TTO
                      fieldUserType: sender
                      fieldDescription: Sender ID document issuing country
                    - sorting: 10
                      required: true
                      fieldName: senderNationality
                      fieldType: select
                      fieldTitle: Nationality
                      fieldMapping: senderNationality
                      selectValues:
                        - value: Australia
                          valueId: AUS
                        - value: Bangladesh
                          valueId: BGD
                        - value: Cambodia
                          valueId: KHM
                        - value: China
                          valueId: CHN
                        - value: Hong Kong
                          valueId: HKG
                        - value: India
                          valueId: IND
                        - value: Indonesia
                          valueId: IDN
                        - value: Japan
                          valueId: JPN
                        - value: Malaysia
                          valueId: MYS
                        - value: Myanmar
                          valueId: MMR
                        - value: Pakistan
                          valueId: PAK
                        - value: Philippines
                          valueId: PHL
                        - value: Singapore
                          valueId: SGP
                        - value: South Korea
                          valueId: KOR
                        - value: Taiwan
                          valueId: TWN
                        - value: Thailand
                          valueId: THA
                        - value: Vietnam
                          valueId: VNM
                        - value: United Kingdom
                          valueId: GBR
                        - value: United States
                          valueId: USA
                        - value: Euro
                          valueId: EUR
                        - value: United Arab Emirates
                          valueId: ARE
                        - value: Argentina
                          valueId: ARG
                        - value: Azerbaijan
                          valueId: AZE
                        - value: Belarus
                          valueId: BLR
                        - value: Brazil
                          valueId: BRA
                        - value: Brunei
                          valueId: BRN
                        - value: Canada
                          valueId: CAN
                        - value: Chile
                          valueId: CHL
                        - value: Cuba
                          valueId: CUB
                        - value: Denmark
                          valueId: DNK
                        - value: Egypt
                          valueId: EGY
                        - value: Israel
                          valueId: ISR
                        - value: Mexico
                          valueId: MEX
                        - value: Mongolia
                          valueId: MNG
                        - value: Morocco
                          valueId: MAR
                        - value: Poland
                          valueId: POL
                        - value: Saudi Arabia
                          valueId: SAU
                        - value: South Africa
                          valueId: ZAF
                        - value: Sweden
                          valueId: SWE
                        - value: Switzerland
                          valueId: CHE
                        - value: Turkey
                          valueId: TUR
                        - value: Ukraine
                          valueId: UKR
                        - value: Russia
                          valueId: RUS
                        - value: France
                          valueId: FRA
                        - value: Iran
                          valueId: IRN
                        - value: Democratic Republic of the Congo
                          valueId: COD
                        - value: Andorra
                          valueId: AND
                        - value: Laos
                          valueId: LAO
                        - value: Macau
                          valueId: MAC
                        - value: Maldives
                          valueId: MDV
                        - value: Palestine
                          valueId: PSE
                        - value: Netherlands
                          valueId: NLD
                        - value: Germany
                          valueId: DEU
                        - value: Italy
                          valueId: ITA
                        - value: Spain
                          valueId: ESP
                        - value: Austria
                          valueId: AUT
                        - value: Belgium
                          valueId: BEL
                        - value: Greece
                          valueId: GRC
                        - value: Ghana
                          valueId: GHA
                        - value: Malawi
                          valueId: MWI
                        - value: Mozambique
                          valueId: MOZ
                        - value: Nigeria
                          valueId: NGA
                        - value: Tanzania
                          valueId: TZA
                        - value: Uganda
                          valueId: UGA
                        - value: Kosovo
                          valueId: XKX
                        - value: Hungary
                          valueId: HUN
                        - value: Slovenia
                          valueId: SVN
                        - value: Armenia
                          valueId: ARM
                        - value: Aland Islands
                          valueId: ALA
                        - value: Albania
                          valueId: ALB
                        - value: Algeria
                          valueId: DZA
                        - value: Angola
                          valueId: AGO
                        - value: Antarctica
                          valueId: ATA
                        - value: Aruba
                          valueId: ABW
                        - value: Bahrain
                          valueId: BHR
                        - value: Belize
                          valueId: BLZ
                        - value: Benin
                          valueId: BEN
                        - value: Bhutan
                          valueId: BTN
                        - value: Bolivia (Plurinational State of)
                          valueId: BOL
                        - value: Bonaire, Sint Eustatius and Saba
                          valueId: BES
                        - value: Bosnia and Herzegovina
                          valueId: BIH
                        - value: Botswana
                          valueId: BWA
                        - value: Bouvet Island
                          valueId: BVT
                        - value: British Indian Ocean Territory
                          valueId: IOT
                        - value: Bulgaria
                          valueId: BGR
                        - value: Burkina Faso
                          valueId: BFA
                        - value: Cabo Verde
                          valueId: CPV
                        - value: Cameroon
                          valueId: CMR
                        - value: Chad
                          valueId: TCD
                        - value: Christmas Island
                          valueId: CXR
                        - value: Cocos (Keeling) Islands
                          valueId: CCK
                        - value: Colombia
                          valueId: COL
                        - value: Comoros
                          valueId: COM
                        - value: Congo
                          valueId: COG
                        - value: Cook Islands
                          valueId: COK
                        - value: Costa Rica
                          valueId: CRI
                        - value: Croatia
                          valueId: HRV
                        - value: Curaçao
                          valueId: CUW
                        - value: Cyprus
                          valueId: CYP
                        - value: Czechia
                          valueId: CZE
                        - value: Djibouti
                          valueId: DJI
                        - value: Ecuador
                          valueId: ECU
                        - value: El Salvador
                          valueId: SLV
                        - value: Equatorial Guinea
                          valueId: GNQ
                        - value: Eritrea
                          valueId: ERI
                        - value: Estonia
                          valueId: EST
                        - value: Eswatini
                          valueId: SWZ
                        - value: Ethiopia
                          valueId: ETH
                        - value: Falkland Islands
                          valueId: FLK
                        - value: Faroe Islands
                          valueId: FRO
                        - value: Fiji
                          valueId: FJI
                        - value: Finland
                          valueId: FIN
                        - value: French Guiana
                          valueId: GUF
                        - value: French Polynesia
                          valueId: PYF
                        - value: French Southern Territories
                          valueId: ATF
                        - value: Gabon
                          valueId: GAB
                        - value: Gambia
                          valueId: GMB
                        - value: Georgia
                          valueId: GEO
                        - value: Gibraltar
                          valueId: GIB
                        - value: Greenland
                          valueId: GRL
                        - value: Guadeloupe
                          valueId: GLP
                        - value: Guatemala
                          valueId: GTM
                        - value: Guernsey
                          valueId: GGY
                        - value: Guinea
                          valueId: GIN
                        - value: Guinea-Bissau
                          valueId: GNB
                        - value: Guyana
                          valueId: GUY
                        - value: Haiti
                          valueId: HTI
                        - value: Heard Island and McDonald Islands
                          valueId: HMD
                        - value: Honduras
                          valueId: HND
                        - value: Iceland
                          valueId: ISL
                        - value: Iraq
                          valueId: IRQ
                        - value: Ireland
                          valueId: IRL
                        - value: Isle of Man
                          valueId: IMN
                        - value: Ivory Coast
                          valueId: CIV
                        - value: Jersey
                          valueId: JEY
                        - value: Jordan
                          valueId: JOR
                        - value: Kazakhstan
                          valueId: KAZ
                        - value: Kiribati
                          valueId: KIR
                        - value: Kuwait
                          valueId: KWT
                        - value: Kyrgyzstan
                          valueId: KGZ
                        - value: Latvia
                          valueId: LVA
                        - value: Lebanon
                          valueId: LBN
                        - value: Lesotho
                          valueId: LSO
                        - value: Liechtenstein
                          valueId: LIE
                        - value: Lithuania
                          valueId: LTU
                        - value: Luxembourg
                          valueId: LUX
                        - value: Madagascar
                          valueId: MDG
                        - value: Mali
                          valueId: MLI
                        - value: Malta
                          valueId: MLT
                        - value: Marshall Islands
                          valueId: MHL
                        - value: Martinique
                          valueId: MTQ
                        - value: Mauritania
                          valueId: MRT
                        - value: Mauritius
                          valueId: MUS
                        - value: Mayotte
                          valueId: MYT
                        - value: Micronesia (Federated States of)
                          valueId: FSM
                        - value: Monaco
                          valueId: MCO
                        - value: Montenegro
                          valueId: MNE
                        - value: Namibia
                          valueId: NAM
                        - value: Nauru
                          valueId: NRU
                        - value: Nepal
                          valueId: NPL
                        - value: New Caledonia
                          valueId: NCL
                        - value: New Zealand
                          valueId: NZL
                        - value: Nicaragua
                          valueId: NIC
                        - value: Niger
                          valueId: NER
                        - value: Niue
                          valueId: NIU
                        - value: Norfolk Island
                          valueId: NFK
                        - value: North Macedonia
                          valueId: MKD
                        - value: Norway
                          valueId: NOR
                        - value: Oman
                          valueId: OMN
                        - value: Palau
                          valueId: PLW
                        - value: Panama
                          valueId: PAN
                        - value: Papua New Guinea
                          valueId: PNG
                        - value: Paraguay
                          valueId: PRY
                        - value: Peru
                          valueId: PER
                        - value: Pitcairn
                          valueId: PCN
                        - value: Portugal
                          valueId: PRT
                        - value: Qatar
                          valueId: QAT
                        - value: Republic of Moldova
                          valueId: MDA
                        - value: Réunion
                          valueId: REU
                        - value: Romania
                          valueId: ROU
                        - value: Rwanda
                          valueId: RWA
                        - value: Saint Barthélemy
                          valueId: BLM
                        - value: Saint Martin (French Part)
                          valueId: MAF
                        - value: Saint Pierre and Miquelon
                          valueId: SPM
                        - value: Samoa
                          valueId: WSM
                        - value: San Marino
                          valueId: SMR
                        - value: Sao Tome and Principe
                          valueId: STP
                        - value: Senegal
                          valueId: SEN
                        - value: Seychelles
                          valueId: SYC
                        - value: Sierra Leone
                          valueId: SLE
                        - value: Slovakia
                          valueId: SVK
                        - value: Solomon Islands
                          valueId: SLB
                        - value: South Georgia and the South Sandwich Islands
                          valueId: SGS
                        - value: Sri Lanka
                          valueId: LKA
                        - value: Suriname
                          valueId: SUR
                        - value: Svalbard and Jan Mayen Islands
                          valueId: SJM
                        - value: The Syrian Arab Republic
                          valueId: SYR
                        - value: Tajikistan
                          valueId: TJK
                        - value: Timor Leste
                          valueId: TLS
                        - value: Togo
                          valueId: TGO
                        - value: Tokelau
                          valueId: TKL
                        - value: Tonga
                          valueId: TON
                        - value: Tunisia
                          valueId: TUN
                        - value: Turkmenistan
                          valueId: TKM
                        - value: Tuvalu
                          valueId: TUV
                        - value: Uruguay
                          valueId: URY
                        - value: Uzbekistan
                          valueId: UZB
                        - value: Vanuatu
                          valueId: VUT
                        - value: Wallis and Futuna Islands
                          valueId: WLF
                        - value: Western Sahara
                          valueId: ESH
                        - value: Yemen
                          valueId: YEM
                        - value: Zambia
                          valueId: ZMB
                        - value: Kenya
                          valueId: KEN
                        - value: Bahamas
                          valueId: BHS
                        - value: Bermuda
                          valueId: BMU
                        - value: Dominican Republic
                          valueId: DOM
                        - value: Afghanistan
                          valueId: AFG
                        - value: Libya
                          valueId: LBY
                        - value: Antigua and Barbuda
                          valueId: ATG
                        - value: Saint Lucia
                          valueId: LCA
                        - value: Grenada
                          valueId: GRD
                        - value: Dominica
                          valueId: DMA
                        - value: Saint Kitts and Nevis
                          valueId: KNA
                        - value: Republic of Trinidad and Tobago
                          valueId: TTO
                      fieldUserType: sender
                      fieldDescription: Sender nationality or citizenship
                    - regex: ^\d{4}\-(0[1-9]|1[012])\-(0[1-9]|[12][0-9]|3[01])$
                      sorting: 8
                      required: true
                      fieldName: senderDateOfBirth
                      fieldType: date
                      fieldTitle: Date of birth
                      fieldMapping: senderDateOfBirth
                      fieldUserType: sender
                      fieldDescription: Sender date of birth
                    - max: 20
                      min: 1
                      regex: ^(?!\d{6}\d{4}\d{2}\d{2}\d{3}[0-9X]$).+$
                      sorting: 7
                      required: true
                      fieldName: senderIdNumber
                      fieldType: input
                      fieldTitle: ID number
                      fieldMapping: senderIdNumber
                      fieldUserType: sender
                      fieldDescription: Sender ID document number
                    - sorting: 6
                      required: true
                      fieldName: senderIdType
                      fieldType: select
                      fieldTitle: ID document type
                      fieldMapping: senderIdType
                      selectValues:
                        - value: Passport
                          valueId: '1'
                        - value: National ID card
                          valueId: '2'
                      fieldUserType: sender
                      fieldDescription: Sender ID document type
                    - max: 13
                      min: 1
                      regex: ^[0-9]+$
                      sorting: 4
                      required: true
                      fieldName: senderMobileNumber
                      fieldType: input
                      fieldTitle: Phone number
                      fieldMapping: senderMobileNumber
                      fieldUserType: sender
                      fieldDescription: Sender phone number
                    - sorting: 3
                      required: true
                      fieldName: senderGender
                      fieldType: select
                      fieldTitle: Gender
                      fieldMapping: senderGender
                      selectValues:
                        - value: Male
                          valueId: M
                        - value: Female
                          valueId: F
                      fieldUserType: sender
                      fieldDescription: Sender gender
                    - max: 30
                      min: 1
                      regex: ^[a-zA-Z ]+$
                      sorting: 2
                      required: true
                      fieldName: senderLastName
                      fieldType: input
                      fieldTitle: Last name
                      fieldMapping: senderLastName
                      fieldUserType: sender
                      fieldDescription: Sender last name, e.g. ZHANG
                    - max: 30
                      min: 1
                      regex: ^[a-zA-Z ]+$
                      sorting: 1
                      required: true
                      fieldName: senderFirstName
                      fieldType: input
                      fieldTitle: First name
                      fieldMapping: senderFirstName
                      fieldUserType: sender
                      fieldDescription: Sender first name, e.g. SAN
                  receiver:
                    - max: 30
                      min: 6
                      regex: ^[A-Za-z0-9]+$
                      sorting: 53
                      required: true
                      fieldName: receiverBankAccountNumber
                      fieldType: input
                      fieldTitle: Bank account number
                      fieldMapping: receiverBankAccountNumber
                      fieldUserType: receiver
                      fieldDescription: Receiver bank account number
                    - max: 13
                      min: 1
                      regex: ^[0-9]+$
                      sorting: 39
                      required: true
                      fieldName: receiverMobileNumber
                      fieldType: input
                      fieldTitle: Phone number
                      fieldMapping: receiverMobileNumber
                      fieldUserType: receiver
                      fieldDescription: Receiver phone number
                    - max: 18
                      min: 15
                      regex: ^[A-Za-z0-9]+$
                      sorting: 36
                      required: true
                      fieldName: receiverIdNumber
                      fieldType: input
                      fieldTitle: ID number
                      fieldMapping: receiverIdNumber
                      fieldUserType: receiver
                      fieldDescription: Receiver ID document number
                    - sorting: 35
                      required: true
                      fieldName: receiverIdType
                      fieldType: select
                      fieldTitle: ID document type
                      fieldMapping: receiverIdType
                      selectValues:
                        - value: National ID card
                          valueId: '2'
                      fieldUserType: receiver
                      fieldDescription: Receiver ID document type
                    - max: 50
                      regex: ^[\u4E00-\u9FFF\u3400-\u4DBF\uF900-\uFAFF]+$
                      sorting: 33
                      required: true
                      fieldName: receiverNativeLastName
                      fieldType: input
                      fieldTitle: Last name in native script
                      fieldMapping: receiverNativeLastName
                      fieldUserType: receiver
                      fieldDescription: Receiver last name in native script, e.g. 张
                    - max: 50
                      sorting: 32
                      required: true
                      fieldName: receiverNativeFirstName
                      fieldType: input
                      fieldTitle: First name in native script
                      fieldMapping: receiverNativeFirstName
                      fieldUserType: receiver
                      fieldDescription: Receiver first name in native script, e.g. 三
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your API key from Console → Settings → Key & Access, sent as
        `Authorization: Bearer ncl_...`.

````